#!/bin/rc

fn enum_core_deps { for (i in `{cat /var/db/kiss/repos/kiss-mfavila/core-mod/core/*/depends|cut -f1 -d' '}){printf '%s\n' $i}}

fn get_dep_paths { list=`{for (i in `{for (i in `enum_core_deps){kiss search $i|grep -v installed|grep -v 'core-mod/core'}}){printf '%s\n' $i}}
printf %s\n $list|tr ' ' '\n'|sort|uniq}

fn move_deps_test { for (i in `get_dep_paths){echo 'Moving' $i 'to /var/db/kiss/repos/kiss-mfavila/core/'^`{basename $i}}}

fn move_deps_for_real_actually_be_careful_with_this { for (i in `get_dep_paths){echo 'Moving' $i 'to /var/db/kiss/repos/kiss-mfavila/core/'^`{basename $i};sup mv $i /var/db/kiss/repos/kiss-mfavila/core-mod/core/}}
